<?php 
/**
 * Sucesiones numéricas - for_1_2.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-11-14
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Sucesiones numéricas. for (1). Ejercicios. PHP. Bartolomé 
  Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>
<body>

<h1>Sucesiones numéricas</h1>
<?php

print "<pre>Valores generados por bucles que suben de 1 en 1:\n";

for ($i = 1; $i<=10; $i++) {
    printf("%8d", $i*$i);
}
print "\n";

for ($i = 1; $i<=9; $i++) {
    printf("%8d", $i*$i+1);
}
print "\n";

for ($i = 2; $i<=7; $i++) {
    printf("%8d", $i*$i*$i);
}
print "\n";

for ($i = 1; $i<=8; $i++) {
    printf("   %1.3f", 1/$i);
}
print "\n";

for ($i = 1; $i<=7; $i++) {
    printf("%8d", $i*($i+1));
}
print "\n";

for ($i = 0; $i<=5; $i++) {
    printf("%8d", pow(10, $i));
}
print "\n";

for ($i = 0; $i<=4; $i++) {
    printf("  %1.4f", 1/pow(10, $i));
}
print "\n";

for ($i = 0; $i<=7; $i++) {
    printf("%8d", pow(-1, $i));
}
print "\n";
print "</pre>\n";

?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 14 de noviembre de 2011
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
